Subject: Re: Emacs for Cygwin
From: "Thomas L Roche" <[email-masked]>
To: "Ehud Karni" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 26 Feb 2002 10:42:05 -0500

"Ehud Karni" <[email-masked]> Tue, 26 Feb 2002 12:06:42
> I think that we need a CygEmacs - an emacs that will be compiled
> with the real Cygwin ported gcc (i.e. without the -mno-cygwin).

Do you mean a GNU Emacs? There's the XEmacs for Cygwin

http://www.xemacs.org/Download/win32/
> You may install either a cygwin or native windows version from one
> of our world-wide mirrors closest to you, by just clicking on
> setup.exe.

I too would like to see a fully Cygwinized GNU 21. (If anyone knows of
one, please lemme know.)

> CygEmacs will have UNIX APIs for I/O (files and sockets), and
> M$Windows APIs for the display and the keyboard. This is already
> done (partly) by the Cygwin port of rxvt.

Having the netinstaller is also nice. Even nicer would be to have one
or more emacs options under Editors in the Cygwin setup.exe. ed, pico,
and vim? gimme a break :-(

> If this is too difficult, may be a version of Emacs for Cygwin, that
> use only the UNIX APIs can be ported. This Emacs version will be used
> only within Cygwin's windows - Console or rxvt (Emacs in TTY mode) or
> real display (using Cygwin-Xfree).

> Any of these version will solve the 2 major issues of using Emacs with
> Cygwin - 1. The files (names and attributes). 2. Running of sub-shells
> in Emacs (file is not tty problem).

Indeed! TIA, Tom Roche <[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/